<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

require_once ("core/cfg/cfg.inc.php");
require_once ("core/cfg/db.inc.php");
require_once ("core/tools.class.php");
require_once ("core/sql.class.php");
require_once ("core/sys.class.php");
require_once ("core/cache.class.php");
require_once ("core/navigation.class.php");
require_once ("core/sendmail.class.php");

require_once ("core/trigger.class.php");

class core
{   
    function core()
    {
        $this->tools        = &$GLOBALS['core']['tools'];
        $this->db           = &$GLOBALS['core']['db'];
        $this->sysDB        = &$GLOBALS['core']['sysDB'];
        $this->cache        = &$GLOBALS['core']['cache'];
        $this->navigation   = &$GLOBALS['core']['navigation'];
        $this->sendmail     = &$GLOBALS['core']['sendmail'];
    }
}

$core = array(
    'tools'        => new workVAR(),
    'db'           => new workDB(),
    'sysDB'        => new sysDB(),
    'cache'        => new cache(),
    'navigation'   => new navigation(),
    'sendmail'     => new sendmail()
);
?>