<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/profile/profile.class.php');

$profile = new profile($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'browse':
        $massiv_tree[$value['tpl']] = $profile->show_list_user();
        break;
        
    case 'add':
        $fields = array();
        
        if (isset($_POST['user_name']))      $fields['user_name']        = $profile->tools->clear_string($_POST['user_name']);
        if (isset($_POST['user_login']))     $fields['user_login']       = $profile->tools->clear_string($_POST['user_login']);
        if (isset($_POST['user_email']))     $fields['user_email']       = $profile->tools->clear_string($_POST['user_email']);
        if (isset($_POST['user_status']))    $fields['user_status']      = $profile->tools->clear_int($_POST['user_status']);
        if (isset($_POST['user_access']))    $fields['user_access']      = $profile->tools->clear_int($_POST['user_access']);
        if (isset($_POST['user_password']))  $fields['user_password']    = $profile->tools->clear_string($_POST['user_password']);
        if (isset($_POST['user_repeat']))    $fields['user_repeat']      = $profile->tools->clear_string($_POST['user_repeat']);

        if (count($fields) == 7)
        {
            if (isset($additional))
            {
                $fields['a_fields'] = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $fields['a_fields']['group_id'] = $additional->tools->clear_int($_POST['group_id']);
            }
            
            $massiv_tree[$value['tpl']]['default'] = $profile->add_user($fields);
        }
        else        
            $massiv_tree[$value['tpl']]['default'] = $profile->show_form($fields);

        if (isset($additional))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form($fields);
        break;
    case 'edit':
        $fields = array();
        
        if (isset($_GET['user_id']))         $user_id                    = $profile->tools->clear_int($_GET['user_id']);
        
        if (isset($_POST['user_id']))        $fields['user_id']          = $profile->tools->clear_int($_POST['user_id']);
        if (isset($_POST['user_name']))      $fields['user_name']        = $profile->tools->clear_string($_POST['user_name']);
        if (isset($_POST['user_login']))     $fields['user_login']       = $profile->tools->clear_string($_POST['user_login']);
        if (isset($_POST['user_email']))     $fields['user_email']       = $profile->tools->clear_string($_POST['user_email']);
        if (isset($_POST['user_status']))    $fields['user_status']      = $profile->tools->clear_int($_POST['user_status']);
        if (isset($_POST['user_access']))    $fields['user_access']      = $profile->tools->clear_int($_POST['user_access']);
        if (isset($_POST['user_password']))  $fields['user_password']    = $profile->tools->clear_string($_POST['user_password']);
        if (isset($_POST['user_repeat']))    $fields['user_repeat']      = $profile->tools->clear_string($_POST['user_repeat']);

        if (count($fields) == 8)
        {
            if (isset($additional))
            {
                $fields['a_fields'] = $additional->clear_value($_POST['addition']);
                if (isset($_POST['group_id']))
                    $fields['a_fields']['group_id'] = $additional->tools->clear_int($_POST['group_id']);
            }

            $massiv_tree[$value['tpl']]['default'] = $profile->edit_profile($fields);
        }
        else        
            $massiv_tree[$value['tpl']]['default'] = $profile->get_edit_form($user_id);
        
        if (isset($additional) AND isset($user_id))
            $massiv_tree[$value['tpl']]['additional'] = $additional->show_form_edit($user_id, $fields);

        break;
    case 'delete':
        if (isset($_GET['profile_id']))    $profile_id                    = $profile->tools->clear_int($_GET['profile_id']);

        if (!isset($profile_id))
			die();
        
        if (isset($additional))
            $additional->delete_value($profile_id);
        
        $profile->delete_profile($profile_id);
        break;
}

?>