<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class treeEdit extends core
{
    /*инициализация объектов для работы данного класса*/
    function treeEdit()
    {
        $this->core();
    }
    
    /* CASE : ADD */
    
    function show_form_add($map_parent)
    {
        return array('parent' => $map_parent);
    }
    
    function add_tree($fields)
    {
        $fields['map_alias'] = $this->sysDB->check_take_alias($fields['map_alias'], $fields['map_parent']);        
        
        $this->sysDB->insert_map($fields, 1);
        
        die();
    }
    
    /* CASE : EDIT */
    
    function show_form_edit($map_id)
    {
        $sql = "SELECT map_id, map_alias, map_name, map_tree_type FROM rs_map WHERE map_id='".$map_id."'";
        
        if (!$alias = $this->db->accept_select($sql))
            return FALSE;
        
        $alias = $alias[0];
        
        return array('map_id' => $alias['map_id'], 'map_alias' => $alias['map_alias'], 'map_name' => $alias['map_name'], 'map_tree_type' => $alias['map_tree_type']);
    }
    
    function edit_tree($fields)
    {
        $sql = "SELECT map_id, map_alias FROM rs_map WHERE map_id='".$fields['map_id']."'";
        
        if (!$alias = $this->db->accept_select($sql))
            return FALSE;
        
        $alias = $alias[0];
        
        $map_array = array(
            'map_id'            => $fields['map_id'],
            'map_name'          => $fields['map_name'],        
            'map_tree_type'     => $fields['map_tree_type']
        );
        
        if ($alias['map_alias'] != $fields['map_alias'])
        {
            $fields['map_alias'] = $this->sysDB->check_take_alias($fields['map_alias'], $fields['map_parent']);
            $map_array['map_alias'] = $fields['map_alias'];
        }

        $this->sysDB->update_map($map_array);
        
        die();
    }
    
    /* CASE : DELETE */
    
    function del_tree($map_id)
    {
        $sql = "SELECT map_id FROM rs_map WHERE map_parent='".$map_id."'";

        if (!$tree = $this->db->accept_select($sql))
        {
            $sql = "SELECT map_type FROM rs_map WHERE map_id='".$map_id."'";
            
            if ($type = $this->db->accept_select($sql))
            {
                $type = $type[0];
                
                if ($type['map_type'] == 1)
                    $this->sysDB->delete($map_id);
            }
        }
        
        die();
    }
}
?>