<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class morecontent extends core
{
    function morecontent($value)
    {
        $this->core();
        
        $this->content_id     = $value['value'];
        $this->type           = $value['type'];
        $this->amount         = 6;
        $this->suffix         = $value['suffix'];
    }

    function get_morecontent()
    {
        if($cache = $this->cache->readerCACHE('morecontent', $_GET['chpu_links'], 5*60))
            return $cache;

        // определяем id каталога
        $sql = "SELECT catalog_id FROM rs_content WHERE content_id='".$this->content_id."'";
        
        if (!$catalog_id = $this->db->accept_select($sql))
            return array();
            
        $this->catalog_id = $catalog_id[0]['catalog_id'];
        
        $this->get_root(); // определяем узел каталога.
        
        // выводим все заметки
        $sql = "SELECT"
                ." c.content_title as content_title, m.map_alias as content_alias, m.map_parent as map_parent, f.field_logo as field_logo"
            ." FROM"
                ." rs_content c, rs_map m, rs_".$this->type."_".$this->suffix." f"
            ." WHERE 1=1"
                ." AND c.catalog_id='".$this->catalog_id."'"
                ." AND c.content_type='".$this->type."'"
                ." AND c.map_id=m.map_id"
                ." AND c.content_view='0'"
                ." AND c.content_mode_publication='1'"
                ." AND c.content_more=f.group_id"
                ." AND c.content_id <> '".$this->content_id."'";
        
        if (!$contents = $this->db->accept_select($sql))
            return array();
        
        $count = count($contents) - 1;
        
        $more = array();
        
        if (count($contents) > $this->amount)
            for($i=0; $i < $this->amount; $i++)
            {
                $r = rand(0, $count);
                
                if (isset($contents[$r]))
                {
                    $more[] = $contents[$r];
                    unset($contents[$r]);
                }
                else
                    $i = $i - 1;
            }
        else
            $more = $contents;

        foreach($more as $key => $value)
        {
            if (!preg_match("/^.*?\.html$/", $more[$key]['content_alias']))
                $more[$key]['content_alias'] = $more[$key]['content_alias'].'/';

            $path = array();
            $this->tools->get_parents_dir($this->catalog_id, $this->root, $path);

            // формируем ссылку
            $more[$key]['content_link']         = implode('/', array_reverse($path));
        }

        $this->cache->writeCACHE('morecontent', $_GET['chpu_links'], $more);

        return $more;
    }

    function get_root()
    {
        foreach ($GLOBALS['rssite']['cachecatalog'] as $key => $catalogs)
            foreach ($catalogs as $catalog)
                if ($catalog['id'] == $this->catalog_id)
                {
                    if (!empty($catalog['link']))
                        return array();
                    
                    $this->root = $key;
                    break; break;
                }
    }
}
?>