<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/profile/profile.class.php');

$profile = new profile($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'detail':
        $massiv_tree[$value['tpl']] = $profile->getDetail();
        break;
    case 'contacts':
        $fields = array();
        
        if (isset($_POST['user_name']))      $fields['user_name']        = $profile->tools->clear_string($_POST['user_name']);
        if (isset($_POST['user_email']))     $fields['user_email']       = $profile->tools->clear_string($_POST['user_email']);
        if (isset($_POST['field_site']))     $fields['field_site']       = $profile->tools->clear_string($_POST['field_site']);

        if (count($fields) == 3)
            $profile->editProfile($fields);

        $massiv_tree[$value['tpl']] = $profile->getEditForm($fields);
        break;
    case 'change-password':
        $fields = array();

        if (isset($_POST['user_oldpassword']))  $fields['user_oldpassword']    = $profile->tools->clear_string($_POST['user_oldpassword']);
        if (isset($_POST['user_password']))     $fields['user_password']       = $profile->tools->clear_string($_POST['user_password']);
        if (isset($_POST['user_repeat']))       $fields['user_repeat']         = $profile->tools->clear_string($_POST['user_repeat']);

        if (count($fields) == 3)
            $profile->changePassword($fields);
            
        $massiv_tree[$value['tpl']] = $fields;
        break;
}

?>