<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

function tpl_text($data) { ?>
<? $catalog     = $data['catalog.add']['default']; ?>
<? $additional  = $data['catalog.add']['additional']; ?>
<table width="95%" class="headerWIN" cellpadding="0" cellspacing="0" border="0" align="center">
  <tr>
    <td align="center" class="admin_title_table h">Добавить пункт</td>
  </tr>
  <tr>
    <td valign="top" align="center" style="padding:10px;">		
      <form action="" method="post" name="form" enctype="multipart/form-data">
        <input name="catalog_id" type="hidden" value="<?=$catalog['catalog_id']?>"  />
        <table width="95%" cellpadding="5" cellspacing="0" border="0" align="left">
          <tr>
            <td width="100px">Имя</td>
            <td><input class="input_form_admin_max" name="catalog_name" type="text" value="<?=$catalog['catalog_name']?>"  /></td>
          </tr>
          <tr>
            <td>Тип</td>
            <td>
    	      <select id="type" onchange="change_type()" class="input_form_admin_max" style="width:96%">
    	        <option value="0"<? if (trim($catalog['catalog_link']) == '') { ?> selected="selected"<? } ?>>Категория</option>
    	        <option value="1"<? if (trim($catalog['catalog_link']) == '#') { ?> selected="selected"<? } ?>>Заголовок</option>
    	        <option value="2"<? if (preg_match('/^http:\/\/.*?$/', trim($catalog['catalog_link']))) { ?> selected="selected"<? } ?>>Ссылка</option>
    	      </select>
	        </td>
          </tr>
	      <tr id="tr_link" class="hide">
            <td>Ссылка</td>
            <td><input class="input_form_admin_max" name="catalog_link" type="text" value="" /></td>
          </tr>
          <tr>
            <td>Заголовок</td>
            <td><input class="input_form_admin_max" name="catalog_title" type="text" value="<?=$catalog['catalog_title']?>" /></td>
          </tr>
          <tr>
            <td>nofollow</td>
            <td>
    	      <select name="catalog_follow" class="input_form_admin_max" style="width:96%">
    	        <option value="0"<? if (trim($catalog['catalog_follow']) == 0) { ?> selected="selected"<? } ?>>Выключить</option>
    	        <option value="1"<? if (trim($catalog['catalog_follow']) == 1) { ?> selected="selected"<? } ?>>Включить</option>
    	      </select>
            </td>
          </tr>
          <tr>
            <td>Псевдоним</td>
            <td><input class="input_form_admin_max" name="catalog_alias" type="text" value="<?=$catalog['catalog_alias']?>" /></td>
          </tr>
          <tr>
            <td>Описание</td>
            <td><input class="input_form_admin_max" name="catalog_desc" type="text" value="<?=$catalog['catalog_desc']?>" /></td>
          </tr>
          <tr>
            <td>Кл. слова</td>
            <td><input class="input_form_admin_max" name="catalog_key" type="text" value="<?=$catalog['catalog_key']?>" /></td>
          </tr>
          <? additional_form($additional); ?>
    	  <tr>
            <td>&nbsp;</td>
            <td><input type="submit" value="Добавить пункт" /></td>
          </tr>
        </table>
      </form>
    </td>
  </tr>
</table>

<script>
  $(document).ready(function() {
    change_type();
  });
  
  function change_type()
  {
    var step = parseInt($("#type").val());

    if (!$('#tr_link').hasClass('hide'))
      $('#tr_link').addClass('hide');

    /*
      step = 
      0 - каталог
      1 - заголовок
      2 - ссылка
    */
    if (step == 0)
      $("input[name='catalog_link']").val('');
    
    if (step == 1)
      $("input[name='catalog_link']").val('#');
      
    if (step == 2)
    {
    	var url = <? if (trim($catalog['catalog_link']) != '') { ?>'<?=trim($catalog['catalog_link'])?>'<? } else { ?>'http://'<? } ?>;
	$("input[name='catalog_link']").val(url);
	if ($('#tr_link').hasClass('hide'))
		$('#tr_link').removeClass('hide');
    }
      
  }
</script>
<? }

function additional_form($fields) { ?>
<? if (!empty($fields)) { ?>
    <input type="hidden" name="group_id" value="<?=$fields['group_id']?>" />
    <? foreach ($fields['fields'] as $key => $field) { ?>
            <tr>
              <td valign="top"><?=$field['field_name']?></td>
              <td valign="top">
               <? switch ($field['field_type']) {
                   case 0: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 1: ?>
                   <input class="input_form_admin_max" placeholder="0" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 2: ?>
                   <input class="input_form_admin_max" placeholder="0.00" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 3: ?>
                   <input class="input_form_admin_max" placeholder="0.00" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 4: ?>
                   <textarea style="width:99%;height:150px;font-family:verdana;font-size:11px;" name="addition[<?=$field['field_id']?>]" rows="10"><?=$field['field_value']?></textarea>
                 <? break;
                   case 5: ?>
                   <select class="input_form_admin_max" value="<?=$field['field_value']?>" name="addition[<?=$field['field_id']?>]">
                   <? foreach ($field['option'] as $option) { ?>
                     <option<? if ($field['field_value'] == $option['option_id']) { ?> selected="selected"<? } ?> value="<?=$option['option_id']?>"><?=$option['option_value']?></option>
                   <? } ?>
                   </select>
                 <? break;
                   case 6: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="file" name="file[<?=$field['field_id']?>]" value="" />
                   <input type="hidden" name="addition[<?=$field['field_id']?>]" value="add" />
                 <? break;
                   case 7: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="text" name="addition[<?=$field['field_id']?>]" value="<? if (trim($field['field_value']) != '') { ?><?=$field['field_value']?><? } else { ?><?=date('Y-m-d H:i:s')?><? } ?>" />
                 <? break;
                   case 8:
                   tpl_html_editor('addition['.$field['field_id'].']', $field['field_value'], '99%', '400px');
                   break;
                 } ?>
              </td>
            </tr>
    
    <? }
    }
 } ?>