<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
if(!defined('RS-SITE')) die();

?><!DOCTYPE html>
<html>
<head>
<title>Добро пожаловать в админ панель RS-SITE</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="/templates/admin/style.css">
<script type="text/javascript" src="/templates/admin/jquery.js"></script>
<? /*<script type="text/javascript" src="/templates/admin/js.js"></script> */ ?>
<script type="text/javascript" src="/templates/admin/jscripts/tiny_mce/tiny_mce.js"></script>
</head>
<body>
  <table width="95%" height="750px" cellpadding="0" cellspacing="0" border="0" align="center">
    <tr>
      <td height="50px" valign="top">
        <!--ЛОГО-->
          <div class="logo">    
            <table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
              <tr>
                <td>
                  <p style="margin-left:15px;margin-top:10px;">
                    <a style="font-weight:100;font-size:15px;" href="/admin/">Добро пожаловать в админ панель RS-SITE&nbsp;<sup><small>v<?=VERSION?></small></sup></a>
                    <? if (isset($GLOBALS['rssite']['user']['user_login'])) { ?>
                    &nbsp;<sup>Вы&nbsp;зашли&nbsp;как&nbsp;<? if (!empty($GLOBALS['rssite']['user']['user_name'])) { ?><?=$GLOBALS['rssite']['user']['user_name']?><? } else { ?><?=$GLOBALS['rssite']['user']['user_login']?><? } ?></sup>
                    <? } ?>
                  </p>
                </td>
                <td align="right">
                  <? if ($GLOBALS['rssite']['user']['user_access'] > 1) { ?>
                  <p style="margin-right:15px;margin-top:10px;">
                    <a style="font-weight:100;font-size:15px;" href="/logout/?ref=/">Выход</a>
                  </p>
                  <? } ?>
                </td>
              </tr>
            </table>
          </div>
        <!--ЛОГО-->
      </td>
    </tr>
    <tr>
      <td valign="top">
        <br />
        <table width="95%" cellpadding="0" cellspacing="0" border="0px" align="center">
          <tr>
            <? if ($GLOBALS['rssite']['user']['user_access'] > 1) { ?>
            <td width="300px" style="min-width:300px;" valign="top">
              <div id="menu">
                <div><a href="/" target="_blank">Главная</a></div>
                
                <? if ($GLOBALS['rssite']['user']['user_access'] >= 3) { ?>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'comment') { ?> class="active"<? } ?>><a href="/admin/comment/">Комментарии</a></div>

                  <div<? if ($GLOBALS['rssite']['menu'] == 'profile') { ?> class="active"<? } ?> style="margin-top:25px;"><a href="/admin/profile/">Пользователи</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'parameter') { ?> class="active"<? } ?> ><a href="/admin/parameter/">Группы&nbsp;параметров</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'notice') { ?> class="active"<? } ?>><a href="/admin/notice/">Почтовые&nbsp;шаблоны</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'meta') { ?> class="active"<? } ?>><a href="/admin/meta/">Мета&nbsp;теги</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'sitemap') { ?> class="active"<? } ?>><a href="/admin/sitemap/">Генератор&nbsp;карты&nbsp;сайта</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'rss') { ?> class="active"<? } ?>><a href="/admin/rss/">Генератор&nbsp;RSS&nbsp;ленты</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'cache') { ?> class="active"<? } ?>><a href="/admin/cache/">Кэш</a></div>
                <? } ?>
                
                <? if ($GLOBALS['rssite']['user']['user_access'] == 4) { ?>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'tree') { ?> class="active"<? } ?> style="margin-top:25px;"><a href="/admin/tree/">Дерево</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'seo') { ?> class="active"<? } ?>><a href="/admin/seo/">Управление мета-тегами</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'modules') { ?> class="active"<? } ?>><a href="/admin/modules/">Модули</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'group-fields') { ?> class="active"<? } ?>><a href="/admin/group-fields/">Дополнительные поля</a></div>
                  <div<? if ($GLOBALS['rssite']['menu'] == 'group-access') { ?> class="active"<? } ?>><a href="/admin/group-access/">Группы&nbsp;доступа</a></div>
                <? } ?>
              </div>
            </td>
            <? } ?>
            <td style="min-width:700px;" valign="top">
              <? tpl_text($data); ?>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</body>
</html><?

function tpl_html_editor($textarea_name, $textarea_value, $w, $h)
{
    ?>
    <script type="text/javascript">
    <?
    if ($GLOBALS['rssite']['user']['user_access'] >= 3) {
        ?>
        tinyMCE.init({
            mode : "exact",
            elements : "<?=$textarea_name?>",
            content_css : "/templates/admin/tinymce_style.css",
            theme:"advanced",
            language:"ru",
            cleanup:"true",
            document_base_url : "<?=$GLOBALS['rssite']['cfg']['server_root']?>",
            relative_urls : false,
            convert_urls : false,
            extended_valid_elements:"*[*]",     
            plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,phpcode,typograf",

            theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
            theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
            theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
            theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,spellchecker,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,blockquote,pagebreak,|,insertfile,insertimage,phpcode,typograf",
            theme_advanced_toolbar_location : "top",
            theme_advanced_toolbar_align : "left",
            theme_advanced_statusbar_location : "bottom",
            theme_advanced_resizing : true,
        });
        <?
    }
    else {
        ?>
        tinyMCE.init({
            mode:"textareas",
            elements : "<?=$textarea_name?>",
            content_css : "/templates/admin/tinymce_style.css",
            theme:"advanced",
            language:"ru",
            document_base_url : "<?=$GLOBALS['rssite']['cfg']['server_root']?>",
            relative_urls : false,
            convert_urls : false,
            extended_valid_elements:"*[*]",
            plugins : "phpcode,emotions,typograf",

            theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontselect,fontsizeselect",
            theme_advanced_buttons2 : "bullist,numlist,|,undo,redo,|,link,unlink,anchor,image,|,cleanup,help,code,|,phpcode,typograf",
            theme_advanced_buttons3 : "hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions",

            theme_advanced_toolbar_location : "top",
            theme_advanced_toolbar_align : "left",
            theme_advanced_statusbar_location : "bottom",
            theme_advanced_resizing : true
        });
        <?
    }
    ?>
    </script>
    
    <textarea style="width:<?=$w?>; height:<?=$h?>;" name="<?=$textarea_name?>" rows="10"><?=$textarea_value?></textarea>
    <?
}

function tpl_navigation($navigation) { ?>
    
    <? $max_page         = 6;//максимальное число кнопочек на странице [1][2][3][4][5][6] ?>
    <? $left_right_links = $max_page/2; ?>
    <? $page             = $navigation['page'] ?>
    <? $pagination       = $navigation['pagination'] ?>
    <? $minLINKS         = $page - $left_right_links; ?>
    <? $maxLINKS         = $page + $left_right_links; ?>
    
    <div id="navig">

    <? if($minLINKS > 1) { ?><a href="?page=1">[1]</a><? if ($minLINKS != 2) { ?>&nbsp;...<? } ?><? } ?>
    
    <? for($i = $page - $left_right_links; $i < $page; $i++) { ?>
     <? if($i>=1) { ?>
      <a href="?page=<?=$i?>">[<?=$i?>]</a>
     <? } ?>
    <? } ?>

    [<?=$page?>]

    <? for($i = $page + 1; $i < ( $page + 1 ) + $left_right_links; $i++) { ?>
     <? if($i<=$pagination) { ?>
      <a href="?page=<?=$i?>">[<?=$i?>]</a>
     <? } ?>
    <? } ?>

    <? if($maxLINKS < $pagination) { ?><? if ($pagination - 1 != $maxLINKS) { ?>...&nbsp;<? } ?><a href="?page=<?=$pagination?>">[<?=$pagination?>]</a><? } ?>
    
    </div>
    
<? }
function tpl_get_navigation($navigation) { ?>
    <? if (!empty($_GET)) { ?>
      <? $links = array(); ?>
      <? foreach ($_GET as $key => $value) { ?>
        <? if ($key != 'chpu_links' AND $key != 'page') { ?>
          <? $links[] = $key.'='.$value; ?>
        <? } ?>
      <? } ?>
      <? $links = (!empty($links)) ? '&'.implode('&', $links) : ''; ?>
    <? } ?>
    <? $max_page         = 6;//максимальное число кнопочек на странице [1][2][3][4][5][6] ?>
    <? $left_right_links = $max_page/2; ?>
    <? $page             = $navigation['page'] ?>
    <? $pagination       = $navigation['pagination'] ?>
    <? $minLINKS         = $page - $left_right_links; ?>
    <? $maxLINKS         = $page + $left_right_links; ?>
    
    <div id="navig">

    <? if($minLINKS > 1) { ?><a href="?page=1<?=$links?>">[1]</a><? if ($minLINKS != 2) { ?>&nbsp;...<? } ?><? } ?>
    
    <? for($i = $page - $left_right_links; $i < $page; $i++) { ?>
     <? if($i>=1) { ?>
      <a href="?page=<?=$i?><?=$links?>">[<?=$i?>]</a>
     <? } ?>
    <? } ?>

    [<?=$page?>]

    <? for($i = $page + 1; $i < ( $page + 1 ) + $left_right_links; $i++) { ?>
     <? if($i<=$pagination) { ?>
      <a href="?page=<?=$i?><?=$links?>">[<?=$i?>]</a>
     <? } ?>
    <? } ?>

    <? if($maxLINKS < $pagination) { ?><? if ($pagination - 1 != $maxLINKS) { ?>...&nbsp;<? } ?><a href="?page=<?=$pagination?><?=$links?>">[<?=$pagination?>]</a><? } ?>
    
    </div>
    
<? } ?>