<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/parameter/param/value/value.class.php');

$paramValue = new paramValue($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
    case 'browse':
        $massiv_tree[$value['tpl']] = $paramValue->getValue();
        break;
    case 'add':
        $fields = array();
        
        if (isset($_POST['value_name']))      $fields['value_name']      = $paramValue->tools->clear_string($_POST['value_name']);
        
        if (count($fields) == 1)
            $paramValue->addValue($fields);
        
        $massiv_tree[$value['tpl']] = $fields;
        break;
    case 'edit':
        $fields = array();
        
        if (isset($_GET['value_id']))         $value_id                  = $paramValue->tools->clear_int($_GET['value_id']);

        if (isset($_POST['value_id']))        $fields['value_id']        = $paramValue->tools->clear_int($_POST['value_id']);
        if (isset($_POST['value_name']))      $fields['value_name']      = $paramValue->tools->clear_string($_POST['value_name']);
        
        if (count($fields) == 2)
            $paramValue->editValue($fields);

        if (isset($value_id))
            $massiv_tree[$value['tpl']] = $paramValue->showForm($value_id, $fields);
        else
            $paramValue->tools->not_found();

        break;
    case 'delete':
        if (isset($_GET['value_id']))
            $value_id = $paramValue->tools->clear_int($_GET['value_id']);
        
        if (isset($value_id))
            $paramValue->deleteValue($value_id);
        else
            die('error');
        break;
    case 'position':
        if (isset($_GET['value_id']))      $value_id         = $paramValue->tools->clear_int($_GET['value_id']);
        if (isset($_GET['step']))          $step             = $paramValue->tools->clear_string($_GET['step']);
        
        if (!isset($value_id) OR !isset($step))
            die();
            
        if ($step != 'up' AND $step != 'down')
            die();
        
        $paramValue->change_position($value_id, $step);
        break;
}
?>