<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class reminder extends core
{
    /*инициализация объектов для работы данного класса*/
    function reminder()
    {
        $this->core();
        
        $GLOBALS['rssite']['cfg']['meta']['two']['meta_title'] = $this->tools->get_caption();
    }
    
    function show_form($fields)
    {
        if (isset($GLOBALS['rssite']['user']['user_login']) AND $GLOBALS['rssite']['user']['user_access'] >= 2)
            $this->tools->move_to('/');

        return $fields;
    }
    
    function send_key(&$fields)
    {
        if (!$this->tools->check_email($fields['user_email']))
        {
            $fields['error'] = 'Не корректный электронный ящик';
            return FALSE;
        }
        
        $sql = "SELECT user_id, user_login, user_password FROM rs_user WHERE user_email = '".$fields['user_email']."'";
        
        if (!$user = $this->db->accept_select($sql))
        {
            $fields['error'] = 'Пользователя с таким электронным ящиком нет в базе данных';
            return FALSE;
        }
        
        $user = $user[0];
        $hash = md5(md5($GLOBALS['rssite']['cfg']['sole']).md5($user['user_login']).md5($user['user_password']).md5(time()));
        
        $what = array(
            'user_hash'     => $hash
        );
        
        $this->db->accept_update($what, 'rs_user', "user_id='".$user['user_id']."'");
        
        // формируем параметры для формироания письма
        $param = array(
            'user_id'   => $user['user_id'],
            'parser'    => array(
                'alias'   => 'remindercode',
                'msg'     => array(
                    'SITE'       => $_SERVER['HTTP_HOST'],
                    'LINK'       => 'http://'.$_SERVER['HTTP_HOST'].'/reminder/?event=send&key='.$hash,
                    'CMS'        => CMS.' v'.VERSION
                )
            )
        );

        // отправляем почту
        $this->sendmail->get_param($param);
        $this->tools->move_to('/reminder/?event=send');
    }
    
    function send_password(&$fields)
    {
        // проверяем ключ
        if (empty($fields['key']))
        {
            $fields['error'] = 'Пустой ключ';
            return FALSE;
        }
        
        // проверяем пользователя с таким ключом
        $sql = "SELECT user_id, user_login FROM rs_user WHERE user_hash = '".$fields['key']."'";
        
        if (!$user = $this->db->accept_select($sql))
        {
            $fields['error'] = 'Пользователя нет в базе данных';
            return FALSE;
        }
        
        $user = $user[0];

        // генерируем пароль        
        for ($i = 0; $i < 8; $i++)
            $user_password[] = chr(rand(97,122));
        
        $user_password = implode('', $user_password);
        $password = md5(md5($GLOBALS['rssite']['cfg']['sole']).md5($user_password));
        
        // записываем новый пароль в БД
        $what = array(
            'user_password' => $password,
            'user_hash'     => ''
        );
        
        $this->db->accept_update($what, 'rs_user', "user_id='".$user['user_id']."'");
        
        // формируем параметры для формироания письма
        $param = array(
            'user_id'   => $user['user_id'],
            'parser'    => array(
                'alias'   => 'reminderpassword',
                'msg'     => array(
                    'SITE'       => $_SERVER['HTTP_HOST'],
                    'LOGIN'      => $user['user_login'],
                    'PASSWORD'   => $user_password,
                    'CMS'        => CMS.' v'.VERSION
                )
            )
        );

        // отправляем почту
        $this->sendmail->get_param($param);
        $this->tools->move_to('/reminder/?event=done');
    }
}
?>