<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

/*подключаем класс карты*/
include("modules/map/map.class.php");

/*создаем объект*/
$map = new map();

/*переносим в переменную адрес ЧПУ*/
if (isset($_GET['chpu_links']))
    $chpu_links = $_GET['chpu_links'];

/*Проверяем если адрес чпу НЕ пуст и не корректно
 написан (ошибки или попытка взлома)*/
if (!empty($chpu_links) AND !$map->tools->check_chpu_link($chpu_links))
    $map->tools->not_found();//выводим 404 ошибку

/*если поиск алиасов по дереву ссылок не дал результатов*/
if (!$modules = $map->get_modul($chpu_links))
    $map->tools->not_found();//выводим ошибку 404

// системный узел «хлебных крошек»
$massiv_tree['breadcrumbs.intro'] = $modules['breadcrumbs'];

$block = array('t', 'c', 'b');

for ($i=0; isset($block[$i]); $i++)
{
    if (isset($modules[$block[$i]]))
    {
        foreach ($modules[$block[$i]] as $key => $value)
        {
            $value = $map->tools->get_array_value($value);
            
            if ($value['value'] == 'disable')
                continue;

            if (preg_match('/\./', $key))
                $key = str_replace('.', '/', $key);
            
            // создаем объект триггера, если он имеется
            if (file_exists('trigger/'.$key.'/index.php'))
                include ('trigger/'.$key.'/index.php');
            
            // простой триггер. Срабатывает ДО подключение контролера
            if (file_exists('trigger/'.$key.'/to.php'))
                include ('trigger/'.$key.'/to.php');

            include ('modules/'.$key.'/index.php');
            
            // простой триггер. срабатывает ПОСЛЕ подключения контролера
            if (file_exists('trigger/'.$key.'/after.php'))
                include ('trigger/'.$key.'/after.php');
        }
    }
}
?>