<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
if(!defined('RS-SITE')) die();

function tpl_text($data) { ?>
    <? $access = $GLOBALS['rssite']['user']['user_access']; ?>
    <? if ($access >= 2) { ?>

      <a name="new-log"></a>
      <h2>Добро пожаловать!</h2>

      <? switch ($access)
      {
          case '2':
              tpl_moderator();
              break;
          case '3':
              tpl_admin();
              break;
          case '4':
              tpl_developer();
              break;
      } ?>
    
    <? } ?>
<? }

function tpl_moderator() { ?>
    <p>Ваш уровень доступа - <strong>модератор</strong></p>
    <p>Вам доступны разделы добавления заметок. Вы можете редактировать и удалять только свои заметки.</p>
<? }

function tpl_admin() { ?>
    <p>Ваш уровень доступа - <strong>Администратор</strong></p>
    <p>Вам доступен полный набор инстументов для управление Вашим сайтом.</p>
    <? tpl_log(); ?>
<? }

function tpl_developer() { ?>
    <p>Ваш уровень доступа - <strong>Разработчик</strong></p>
    <p>Вам доступен полный набор инструментов для управление Вашим сайтом. Так же есть доступ к инструментам позволяющие менять структуру сайта</p>
    <? tpl_log(); ?>
<? }

function tpl_log() { ?>
    <script>
        $(document).ready(function() {
            var i = 0;
            
            $('.log').each( function() {
                if (i < 5) {
                    if ($('#new').html() == '')
                        $('#new').html('<div class="log">'+ $(this).html() +'</div>');
                    else
                        $('#new .log:last').after('<div class="log">'+ $(this).html() +'</div>');
                }
                else {
                    if ($('#old').html() == '')
                        $('#old').html('<div class="log">'+ $(this).html() +'</div>');
                    else
                        $('#old .log:last').after('<div class="log">'+ $(this).html() +'</div>');
                }
                
                $(this).remove();
                i++;
            });
        });
        
        function show_log ()
        {
            if ($('#old').hasClass('hide')) {
                 $('#old').removeClass('hide');
                 
                 $('.log-link').html('<a href="#new-log" onclick="show_log();">Убрать</a>');
            }
            else {
                 $('#old').addClass('hide');
                 
                 $('.log-link').html('<a href="#old-log" onclick="show_log();">Показать еще</a>');
            }
        }
    </script>

    <h3>Лог:</h3>
            <div id="new"></div>
            <a name="old-log"></a>
            <div id="old" class="hide"></div>

            <div class="log"><strong>RS-SITE v1.3.1 <sup>27 Октября 2013 года</sup></strong>
                <ul>
                    <li>
                        Изменен модуль мета&nbsp;&mdash;&nbsp;тегов
                        <ol>
                            <li><strong>meta</strong></li>
                            <li><strong>admin.meta</strong></li>
                        </ol>
                        В дерево добавлены узлы:
                        <ol>
                            <li><strong>/seo/</strong></li>
                            <li><strong>/seo/add/</strong></li>
                            <li><strong>/seo/delete/</strong></li>
                        </ol>
                        Значение <strong>meta</strong> модуля <strong>meta</strong> теперь является массивом. Первый элемент массива (<em>id мета&nbsp;&mdash;&nbsp;тега</em>) главный мета&nbsp;&mdash;&nbsp;тег, второй второстепенный
                    </li>
                    <li>Изменен системный файл <strong>/core/tools.class.php</strong>, добавлена способность получать имя узла в &laquo;Хлебных крошках&raquo;</li>
                    <li>
                        Изменены следующие модули:
                        <ol>
                            <li><strong>admin.access</strong> &mdash; Добавлена возможность передать ссылку редиректа (<em>Новый параметр ref</em>) для страниц которым нужна авторизация</li>
                            <li><strong>admin.authorization</strong> &mdash; Модуль, после успешной авторизации, редиректит по ссылки, которая передана через глобальную переменную <strong>$_GET['ref']</strong></li>
                            <li><strong>admin.reminder</strong></li>
                        </ol>
                        Все перечисленные выше модули теперь работают на корне сайта (<em>не в админке</em>) Шаблоны для модулей перенесены в публичную папку, узлы:
                        <ol>
                            <li><strong>/admin/login/</strong></li>
                            <li><strong>/admin/logout/</strong></li>
                            <li><strong>/admin/reminder/</strong></li>
                        </ol>
                        уничтожены. Созданы аналоговые узлы на корне сайта.
                    </li>
                    <li>Переделан модуль <strong>admin.install</strong>. Модуль теперь&nbsp;устанавливает модули по <strong>XML конфигу</strong></li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.3.1</li>
                </ul>
            </div>
            
            <div class="log"><strong>RS-SITE v1.2.3 <sup>17 Октября 2013 года</sup></strong>
                <ul>
                    <li>
                        Фиксы запросов в БД в следующих файла:
                        <ol>
                            <li>Ядро &mdash; <strong>/core/navigation.class.php</strong></li>
                            <li>Модуль &mdash; <strong>admin.fields</strong></li>
                        </ol>
                    </li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.2.3</li>
                </ul>
            </div>

            <div class="log"><strong>RS-SITE v1.2.2 <sup>13 Октября 2013 года</sup></strong>
                <ul>
                    <li>Небольшое изменение системы триггеров. Теперь можно подключать триггеры не только до и после подключение контролеров, но и до и после исполнения SQL запросов</li>
                    <li>
                        В связи с новой системой триггеров изменены следующие системные модули:
                        <ol>
                            <li><strong>/core/sql.class.php</strong></li>

                            <li><strong>/core/core.class.php</strong></li>

                            <li>Контролер модуля <strong>map</strong></li>
                        </ol>
                    </li>
                    <li>Добавлен новый системный класс (<strong>/core/trigger.class.php</strong>) по работе с триггерами</li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.2.2</li>
                </ul>
            </div>

            <div class="log"><strong>RS-SITE v1.2.1 <sup>28 Сентября 2013 года</sup></strong>
                <ul>
                    <li>Изменен системный модуль <strong>/core/sys.class.php</strong>, а именно метод <strong>insert_modul()</strong>. Метод определяем модуль по алиасу, а не по названию, таким образом можно создать несколько одинаковых наборов (с разными параметрами) модулей в файле <strong>/core/cfg/modules.xml</strong></li>
                    <li>Немного изменена структура дерева в файле <strong>/core/cfg/modules.xml</strong>. Для блока модуля добавлен новый атрибут <strong>alias</strong></li>
                    <li>
                        Исправлены следующие модули по работе с методом <strong>insert_modul()</strong>:
                        <ol>
                            <li><strong>admin.content</strong></li>
                            <li><strong>admin.catalog</strong></li>
                        </ol>
                    </li>
                    <li>Модуль <strong>admin.content</strong> больше не использует параметр <strong>cntpl</strong></li>
                    <li>
                        Переход с <strong>mysql</strong> на <strong>mysqli</strong>
                        <ol>
                            <li><strong>/core/sql.class.php</strong></li>
                            <li><strong>/core/cfg/db.inc.php</strong></li>
                        </ol>
                    </li>
                    <li>
                        В модуль <strong>admin.modules</strong> добавлена возможность определить не подключенные модули
                        <ol>
                            <li><strong>/modules/admin/modules/modul.class.php</strong></li>
                            <li><strong>/templates/admin/modul/browse.tpl.php</strong></li>
                        </ol>
                    </li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.2.1</li>
                </ul>
            </div>

            <div class="log"><strong>RS-SITE v1.2.0 <sup>28 Августа 2013 года</sup></strong>
                <ul>
                    <li>В таблице <strong>rs_map</strong> появилась новая колонка <strong>map_tree_type</strong>. Колонка призвана разделить типы узлов на два вида:
                        <ol>
                            <li><strong>static</strong> - Статичный узел, играет роль прямой ссылки</li>
                            <li><strong>variable</strong> - Динамичный узел, позволяет создавать множество страниц с разными алиасами (<i>например архив статей</i>). Достигается создание глобальной переменной <strong>$GLOBALS['алиас variable узла']</strong>, значение которой является алиас страницы в ЧПУ адресе (<i>http://site.ru/news/<strong>2011</strong>/</i>). Данную переменную можно использовать для поиска нужных данных в БД</li>
                        </ol>
                    </li>
                    <li>Переписан модуль <strong>map</strong>. Модуль научился определять статичный и динамичный узел</li>
                    <li>Переписан модуль <strong>admin.tree</strong>. В редакторе появился переключатель типа узла</li>
                    <li>Системный модуль <strong>/core/sys.class.php</strong> научился добавлять и редактировать колонку <strong>map_tree_type</strong></li>
                    <li>Системный модуль <strong>/core/tools.class.php</strong> научился изменять имена узлов в хлебных крошках, с помощью метода <strong>get_caption()</strong></li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.2.0</li>
                </ul>
            </div>
            
            <div class="log"><strong>RS-SITE v1.1.0 <sup>07 Августа 2013 года</sup></strong>
                <ul>
                    <li>Изменен системный модуль <strong>/core/sendmail.class.php</strong>. Исправлена ошибка кодирования заголовка письма. Второму (и последующему) получателю отправлялись закодированные, несколько раз, темы письма</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.1.0 <sup>10 Мая 2013 года</sup></strong>
                <ul>
                    <li>В систему введены &laquo;Хлебные крошки&raquo;. Прикреплен системный узел <strong>breadcrumbs.intro</strong></li>
                    <li>У таблицы <strong>rs_map</strong> появилось новая колонка - <strong>map_name</strong></li>
                    <li>
                        Переделаны методы:
                        <ol>
                            <li><strong>insert_map()</strong></li>
                            <li><strong>edit_alias()</strong></li>
                        </ol>
                        в ядре <strong>core/sys.class.php</strong>.
                        <ol>
                            <li><strong>insert_map()</strong> теперь вставляет значение для поля <strong>map_name</strong>. Информация берется из заголовков материала или каталога.</li>
                            <li><strong>edit_alias()</strong> переименован в <strong>update_map()</strong>. Метод обновляет поле <strong>map_name</strong>. Информация берется из заголовков материала или каталога.</li>
                        </ol>
                    </li>
                    <li>
                        В связи с изменениями исправлены след. системные модули:
                        <ol>
                            <li><strong>admin.tree.tree</strong> - Изменен редактор, добавлено новое поле <strong>Наименование</strong>. Переработан контролер и модель</li>
                            <li><strong>admin.catalog</strong> - Изменена алгоритм работы с методами <strong>insert_map()</strong> и <strong>update_map()</strong></li>
                            <li><strong>admin.content</strong> - Изменена алгоритм работы с методами <strong>insert_map()</strong> и <strong>update_map()</strong></li>
                            <li><strong>admin.install</strong> - Изменена алгоритм работы с методами <strong>insert_map()</strong></li>
                            <li><strong>map</strong> - Введен поиск &laquo;Хлебных крошек&raquo;</li>
                        </ol>
                    </li>
                    <li>Добавлен шаблон <strong>public -&gt; breadcrumbs.intro</strong></li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.1.0</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.0.6 <sup>3 Мая 2013 года</sup></strong>
                <ul>
                    <li>
                        Изменен модуль <strong>cachecatalog</strong>. Добавленно определение базового пути. В случае если модули <strong>admin.catalog</strong> и <strong>admin.content</strong> работает НЕ на главном узле. <br />
                        Например если привязать модули <strong>admin.catalog</strong> и <strong>admin.content</strong> к узлу <strong>http://site.ru/news/</strong> и создать каталог <strong>partners</strong> (<strong>http://site.ru/news/partners/</strong>)<br />
                        то в переменной <strong>$GLOBALS['rssite']['cachecatalog']</strong> появится новый элемент массива <strong>'base'</strong> в котором будет находится путь до узла к которому привязали модули <strong>admin.catalog</strong> и <strong>admin.content</strong><br />
                        ($GLOBALS['rssite']['cachecatalog'][745]['base'] => 'news')
                    </li>
                    <li>
                        Метод генерации путей по каталогу к записи (комментарию) вынесен в ядро, класс <strong>core/tools.class.php</strong>.<br />
                        В большенстве модулей данный метод назывался <strong>get_parents_dir()</strong>, в некоторых <strong>get_link()</strong>. <br />
                        В классе <strong>core/tools.class.php</strong> метод существует под именем <strong>get_parents_dir()</strong>. <br />
                        Изменение по работе с данным методом затронули след админ модули:
                        <ol>
                            <li><strong>admin.comment</strong></li>
                            <li><strong>admin.content</strong></li>
                            <li><strong>admin.rss</strong></li>
                            <li><strong>admin.sitemap</strong></li>
                        </ol>
                        и следующие публичные модули (сборка - <strong>блог</strong>)
                        <ol>
                            <li><strong>catalogcontent</strong></li>
                            <li><strong>content</strong>, а так же шаблон <strong>content.detail</strong>. Изменена переменная <strong>$link</strong></li>
                            <li><strong>lastcomm</strong></li>
                            <li><strong>morecontent</strong>, а так же шаблон <strong>content.detail</strong>. Изменена переменная <strong>$link</strong></li>
                            <li><strong>mostcomm</strong>, а так же шаблон <strong>mostcomm.intro</strong>. Изменена переменная <strong>$link</strong></li>
                            <li><strong>toppost</strong>, а так же шаблон <strong>toppost.browse</strong>. Изменена переменная <strong>$link</strong></li>
                        </ol>
                    </li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.0.6</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.0.5 <sup>1 Мая 2013 года</sup></strong>
                <ul>
                    <li>Изменен модуль <strong>admin.fields.field</strong>. Добавлены два новых типа доп. полей:
                        <ol>
                            <li><strong>picture</strong> - Физический тип поля в таблице - <strong>varchar</strong>. Добавляет возможность загружать изображения на сервер</li>
                            <li><strong>datetime</strong> - Тип позволяющий добавить поле с датой и временем</li>
                        </ol>
                    </li>
                    <li>Добавлен обработчик изображений в модуле <strong>admin.fields</strong></li>
                    <li>В шаблонах <strong>admin.fields.field.add</strong> и <strong>admin.fields.field.edit</strong> дополнен список доступных доп. полей</li>
                    <li>Отредактированы все шаблоны админ панели к модулям которых привязан модуль дополнительных полей <strong>admin.fields</strong> (в сборке блога шаблоны <strong>admin.content.add</strong>, <strong>admin.content.edit</strong>, <strong>admin.widget.add</strong>, <strong>admin.widget.edit</strong>, <strong>admin.profile.add</strong>, <strong>admin.profile.edit</strong>)</li>
                    <li>В таблицу <strong>rs_catalog</strong> добвалено новое поле <strong>catalog_more</strong></li>
                    <li>Добавлена возможность привязать доп. поля к модулю <strong>admin.catalog</strong></li>
                    <li>Модуль <strong>admin.install</strong> автоматически подключает модуль <strong>admin.fields</strong> при установки модуля <strong>admin.catalog</strong></li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.0.5</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.0.4 <sup>12 Апреля 2013 года</sup></strong>
                <ul>
                    <li>В систему введено понятие триггер. В каталоге системы появилась папка <strong>trigger</strong> в которой храняться все триггеры. Контроллеры триггеров бывают двух видов:
                      <ol>
                        <li><strong>to.php</strong> - контроллер запускается ДО подключение контроллеров модулей</li>
                        <li><strong>after.php</strong> - контроллер запускается ПОСЛЕ подключение контроллеров модулей</li>
                      </ol>
                    </li>
                    <li>Дополнен контроллер модуля <strong>map</strong></li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.0.4</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.0.3 <sup>11 Апреля 2013 года</sup></strong>
                <ul>
                    <li>Переписан модуль <strong>admin.profile</strong>. Теперь у профиля есть возможность создать доп поля.</li>
                    <li>Добавлена автоматическая генерация полей в шаблонах модуля <strong>admin.profile</strong></li>
                    <li>Изменен модуль <strong>admin.fields</strong>. Убраны строки вывода типа дополнительных полей при добавление доп поля и удаление его.</li>
                    <li>В <strong>/core/tools.class.php</strong> добавлен метод <strong>get_object('имя')</strong> позволяющий получить копию объекта который был объявлен в общем пространстве имен. Позволило вызвать методы на добавление и редактирование доп полей (<i>методы модуля <strong>admin.fields</strong></i>) сразу после проверок на корректность поступивших данных в модуле <strong>admin.profile</strong></li>
                    <li>Переписан модуль <strong>admin.access</strong>. Добавленно автоматическое определение дополнительных полей. Появились новые параметры: <strong>type</strong> и <strong>suffix</strong></li>
                    <li>Изменен модуль <strong>comment</strong>. Подправлена автоматическая регистрация новых пользователей. Спряталось поле &laquo;Сайт&raquo; для регистрированных пользователей</li>
                    <li>Изменена структура таблицы <strong>rs_user</strong>. Добавлена новая колонка <strong>user_more</strong>.</li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.0.3</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.0.2 <sup>09 Апреля 2013 года</sup></strong>
                <ul>
                    <li>Исправлен модуль <strong>/modules/meta/meta.class.php</strong>. Модуль кэшировал номер страницы, от чего страдали каноничные ссылки. Определение страницы (<i>для тега link, атрибут canonical</i>) перенесенно в публичный шаблон <strong>/templates/public/main.tpl.php</strong></li>
                    <li>Добавлен ORDER BY user_id DESC к запросу выборки модуля <strong>/modules/admin/profile/profile.class.php</strong></li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.0.2</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.0.1 <sup>06 Апреля 2013 года</sup></strong>
                <ul>
                    <li>Исправлен корневой <strong>index.php</strong>. Удалена функция подсчета расхода памяти. Добавлено подключение нового класса по работе с техн. инфой о генерации страницы</li>
                    <li>Функция подсчета памяти перенесена в новый класс <strong>/core/generation.class.php</strong>. Данный класс так же рассчитывает время генрации страницы</li>
                    <li>Переделано ядро <strong>/core/core.class.php</strong>. Объекты ядра теперь объявляются один раз. После, при наследование, копия объекта берется из глобальной переменной $GLOBALS</li>
                    <li>Исправлена версия движка, в файле <strong>/core/cfg/cfg.inc.php</strong> на 1.0.1</li>
                </ul>
            </div>
            <div class="log"><strong>RS-SITE v1.0.0 <sup>02 Апреля 2013 года</sup></strong>
                <ul>
                    <li>Релиз системы RS-SITE v1.0.0</li>
                </ul>
            </div>
            
            <div class="log-link"><a href="#old-log" onclick="show_log();">Показать еще</a></div>
<? } ?>